#### Previous topic

scipy.io.mminfo

#### Next topic

scipy.io.mmwrite

# scipy.io.mmread

`scipy.io.``mmread`(source)

  Reads the contents of a Matrix Market file-like ‘source’ into a matrix.

  Parameters:

  source : str or file-like

  > Matrix Market filename (extensions .mtx, .mtz.gz) or open file-like object.

  Returns:

  a : ndarray or coo_matrix

  > Dense or sparse matrix depending on the matrix format in the Matrix Market file.